header {
    position: relative;
    height: 50rem;
    background-image:
        linear-gradient(rgba(0, 102, 255, 0.133), rgba(0, 102, 255, 0.099)),
        url('../images/banner.jpg');
    background-size: cover;
    background-position: center -5rem; 
}

header::before {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgb(22, 22, 22) 0%,rgba(255, 255, 255, 0) 50%);
}

nav {
    display: flex;
    align-items: center;
    backdrop-filter: blur(20px);
    padding: 2rem;
}

nav picture.logo>img {
    max-width: 10rem;
}

nav ul {
    justify-content: flex-start;
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 3rem;
    margin-left: 3rem;
}

nav button.theme-button {
    margin-left: auto;
    background-color: transparent;
    border: none;
    font-size: 1.5rem;
    color: white;
}

header nav ul li a {
    color: white;
    font-weight: 600;
    font-size: 1.2rem;
    transition: all ease-out .1s;
    opacity: 1;
}

nav ul li {
    position: relative;
}
nav ul li:active a {
    opacity: 0;
    color: white;
}

header nav ul li:hover a {
    color: rgb(13, 140, 224);
}

nav ul li a:before {
    content: "";
    display: block;
    height: 0.1rem;
    width: 100%;
    background-color: rgb(13, 140, 224);
    position: absolute;
    top: 2.3rem;
    opacity: 0;
    transition: all .2s ease-out;
}
nav ul li:hover a:before {
    transform: translateY(-.5rem);
    opacity: 100%;
}

nav .burger {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 4px;
}

nav .burger .line {
    width: 25px;
    height: 3px;
    background-color: white;
}

@media (max-width: 1210px) {
 
    header {
        overflow: hidden;
    }

    nav ul {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 100%;
        height: 100vh; 
        background-color: #333;
        flex-direction: column;
        align-items: center;
        gap: 3rem;
        padding: 2rem 0;
        transition: all ease-in-out .2s;
        align-items: center;
        z-index: auto;
    }

    nav ul li a {
        font-size: 1.5rem;
    }
    nav ul li a i {
        color: rgb(35, 167, 255);
    }

    nav .burger {
        display: flex;
        margin-left: auto;
    }

    nav ul.show {
        transform: translateX(-100%);
    }

    nav button.theme-button {
        display: none;
    }
}